diff --git a/sys/config/LINT b/sys/config/LINT
index 1cd4293..bc00982 100644
--- a/sys/config/LINT
+++ b/sys/config/LINT
@@ -360,12 +360,6 @@ options 	IPSEC_DEBUG		#debug for IP security
 #
 #options 	FAST_IPSEC		#new IPsec
 
-options 	IPX			#IPX/SPX communications protocols
-options 	IPXIP			#IPX in IP encapsulation (not available)
-options 	IPTUNNEL		#IP in IPX encapsulation (not available)
-
-options 	NCP			#NetWare Core protocol
-
 options 	MPLS			#Multi-Protocol Label Switching
 
 #
@@ -645,7 +639,6 @@ options 	HPFS			#OS/2 File system
 options 	MSDOSFS			#MS DOS filesystem
 options 	NTFS			#NT filesystem
 options 	NULLFS			#NULL filesystem
-options 	NWFS			#NetWare filesystem
 options 	PORTAL			#Portal filesystem
 options 	PROCFS			#Process filesystem
 options		PUFFS			#Userspace file systems (e.g. ntfs-3g & sshfs)
diff --git a/sys/config/LINT64 b/sys/config/LINT64
index b482163..7a51318 100644
--- a/sys/config/LINT64
+++ b/sys/config/LINT64
@@ -273,12 +273,6 @@ options 	IPSEC_DEBUG		#debug for IP security
 #
 #options 	FAST_IPSEC		#new IPsec
 
-options 	IPX			#IPX/SPX communications protocols
-options 	IPXIP			#IPX in IP encapsulation (not available)
-options 	IPTUNNEL		#IP in IPX encapsulation (not available)
-
-options 	NCP			#NetWare Core protocol
-
 options 	MPLS			#Multi-Protocol Label Switching
 
 #
@@ -558,7 +552,6 @@ options 	HPFS			#OS/2 File system
 options 	MSDOSFS			#MS DOS filesystem
 options 	NTFS			#NT filesystem
 options 	NULLFS			#NULL filesystem
-options 	NWFS			#NetWare filesystem
 options 	PORTAL			#Portal filesystem
 options 	PROCFS			#Process filesystem
 options		PUFFS			#Userspace file systems (e.g. ntfs-3g & sshfs)
diff --git a/sys/dev/netif/de/if_de.c b/sys/dev/netif/de/if_de.c
index 16dad51..c3ab8cc 100644
--- a/sys/dev/netif/de/if_de.c
+++ b/sys/dev/netif/de/if_de.c
@@ -53,7 +53,6 @@
 #include <sys/interrupt.h>
 
 #include "opt_inet.h"
-#include "opt_ipx.h"
 
 #include <net/if.h>
 #include <net/if_media.h>
@@ -66,11 +65,6 @@
 #include <netinet/if_ether.h>
 #endif
 
-#ifdef IPX
-#include <netproto/ipx/ipx.h>
-#include <netproto/ipx/ipx_if.h>
-#endif
-
 #include <vm/vm.h>
 
 #include <net/if_var.h>
diff --git a/sys/dev/netif/fe/if_fe.c b/sys/dev/netif/fe/if_fe.c
index 4a2dbed..9ad08dc 100644
--- a/sys/dev/netif/fe/if_fe.c
+++ b/sys/dev/netif/fe/if_fe.c
@@ -64,13 +64,11 @@
  *  o   To reconsider transmission buffer usage, including
  *      transmission buffer size (currently 4KB x 2) and pros-and-
  *      cons of multiple frame transmission.
- *  o   To test IPX codes.
  *  o   To test new-bus frontend.
  */
 
 #include "opt_fe.h"
 #include "opt_inet.h"
-#include "opt_ipx.h"
 
 #include <sys/param.h>
 #include <sys/systm.h>
diff --git a/sys/dev/netif/fe/if_fe_isa.c b/sys/dev/netif/fe/if_fe_isa.c
index b447e4b..b58c077 100644
--- a/sys/dev/netif/fe/if_fe_isa.c
+++ b/sys/dev/netif/fe/if_fe_isa.c
@@ -24,7 +24,6 @@
 
 #include "opt_fe.h"
 #include "opt_inet.h"
-#include "opt_ipx.h"
 
 #include <sys/param.h>
 #include <sys/systm.h>
diff --git a/sys/dev/netif/fe/if_fe_pccard.c b/sys/dev/netif/fe/if_fe_pccard.c
index 9760fd8..2a21a5d 100644
--- a/sys/dev/netif/fe/if_fe_pccard.c
+++ b/sys/dev/netif/fe/if_fe_pccard.c
@@ -24,7 +24,6 @@
 
 #include "opt_fe.h"
 #include "opt_inet.h"
-#include "opt_ipx.h"
 
 #include <sys/param.h>
 #include <sys/kernel.h>
diff --git a/sys/emulation/linux/linux_stats.c b/sys/emulation/linux/linux_stats.c
index 4910497..58bc685 100644
--- a/sys/emulation/linux/linux_stats.c
+++ b/sys/emulation/linux/linux_stats.c
@@ -26,7 +26,6 @@
  * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
  *
  * $FreeBSD: src/sys/compat/linux/linux_stats.c,v 1.22.2.3 2001/11/05 19:08:23 marcel Exp $
- * $DragonFly: src/sys/emulation/linux/linux_stats.c,v 1.27 2008/09/28 05:08:16 dillon Exp $
  */
 
 #include <sys/param.h>
@@ -229,7 +228,6 @@ bsd_to_linux_ftype(const char *fstypename)
 		{"procfs",  LINUX_PROC_SUPER_MAGIC},
 		{"msdosfs", LINUX_MSDOS_SUPER_MAGIC},
 		{"ntfs",    LINUX_NTFS_SUPER_MAGIC},
-		{"nwfs",    LINUX_NCP_SUPER_MAGIC},
 		{"hpfs",    LINUX_HPFS_SUPER_MAGIC},
 		{NULL,      0L}};
 
diff --git a/sys/net/ef/Makefile b/sys/net/ef/Makefile
index 361870c..fcc4ba6 100644
--- a/sys/net/ef/Makefile
+++ b/sys/net/ef/Makefile
@@ -1,7 +1,7 @@
 # $FreeBSD: src/sys/modules/if_ef/Makefile,v 1.16 2009/06/08 19:57:35 bz Exp $
 
 KMOD=	if_ef
-SRCS=	if_ef.c opt_ipx.h opt_inet.h opt_ef.h
+SRCS=	if_ef.c opt_inet.h opt_ef.h
 
 .if defined(EFDEBUG)
 CFLAGS+= -DEF_DEBUG
@@ -19,9 +19,6 @@ CFLAGS+= -DEF_DEBUG
 opt_inet.h:
 	echo "#define INET 1" > ${.TARGET}
 
-opt_ipx.h:
-	echo "#define IPX 1" > ${.TARGET}
-
 opt_ef.h:
 	:> ${.TARGET}
 .for frame in ETHER_II ETHER_8023 ETHER_8022 ETHER_SNAP
diff --git a/sys/net/ef/if_ef.c b/sys/net/ef/if_ef.c
index fdd738b..cbe4bab 100644
--- a/sys/net/ef/if_ef.c
+++ b/sys/net/ef/if_ef.c
@@ -27,7 +27,6 @@
  */
 
 #include "opt_inet.h"
-#include "opt_ipx.h"
 #include "opt_ef.h"
 
 #include <sys/param.h>
@@ -58,11 +57,6 @@
 #include <netinet/if_ether.h>
 #endif
 
-#ifdef IPX
-#include <netproto/ipx/ipx.h>
-#include <netproto/ipx/ipx_if.h>
-#endif
-
 /* If none of the supported layers is enabled explicitly enable them all */
 #if !defined(ETHER_II) && !defined(ETHER_8023) && !defined(ETHER_8022) && \
     !defined(ETHER_SNAP)
@@ -175,8 +169,7 @@ ef_ioctl(struct ifnet *ifp, u_long cmd, caddr_t data, struct ucred *cr)
 	crit_enter();
 	switch (cmd) {
 	    case SIOCSIFADDR:
-		if (sc->ef_frametype == ETHER_FT_8023 && 
-		    ifa->ifa_addr->sa_family != AF_IPX) {
+		if (sc->ef_frametype == ETHER_FT_8023) {
 			error = EAFNOSUPPORT;
 			break;
 		}
@@ -240,11 +233,6 @@ ef_inputEII(struct mbuf *m, struct llc* l, u_short ether_type)
 	int isr;
 
 	switch(ether_type) {
-#ifdef IPX
-	case ETHERTYPE_IPX:
-		isr = NETISR_IPX;
-		break;
-#endif
 #ifdef INET
 	case ETHERTYPE_IP:
 #ifdef notyet
@@ -267,39 +255,13 @@ ef_inputEII(struct mbuf *m, struct llc* l, u_short ether_type)
 static __inline int
 ef_inputSNAP(struct mbuf *m, struct llc* l, u_short ether_type)
 {
-	int isr;
-
-	switch(ether_type) {
-#ifdef IPX
-	case ETHERTYPE_IPX:
-		m_adj(m, 8);
-		isr = NETISR_IPX;
-		break;
-#endif
-	default:
-		return (EPROTONOSUPPORT);
-	}
-	netisr_queue(isr, m);
-	return (0);
+	return (EPROTONOSUPPORT);
 }
 
 static __inline int
 ef_input8022(struct mbuf *m, struct llc* l, u_short ether_type)
 {
-	int isr;
-
-	switch(ether_type) {
-#ifdef IPX
-	case 0xe0:
-		m_adj(m, 3);
-		isr = NETISR_IPX;
-		break;
-#endif
-	default:
-		return (EPROTONOSUPPORT);
-	}
-	netisr_queue(isr, m);
-	return (0);
+	return (EPROTONOSUPPORT);
 }
 
 /*
@@ -379,11 +341,6 @@ ef_input(struct ifnet *ifp, const struct ether_header *eh, struct mbuf *m)
 	case ETHER_FT_EII:
 		return (ef_inputEII(m, l, ether_type));
 		break;
-#ifdef IPX
-	case ETHER_FT_8023:		/* only IPX can be here */
-		isr = NETISR_IPX;
-		break;
-#endif
 	case ETHER_FT_SNAP:
 		return (ef_inputSNAP(m, l, ether_type));
 		break;
@@ -412,11 +369,7 @@ ef_output(struct ifnet *ifp, struct mbuf **mp, struct sockaddr *dst, short *tp,
 		return ENETDOWN;
 	switch (sc->ef_frametype) {
 	    case ETHER_FT_EII:
-#ifdef IPX
-		type = htons(ETHERTYPE_IPX);
-#else
 		return EPFNOSUPPORT;
-#endif
 		break;
 	    case ETHER_FT_8023:
 		type = htons(m->m_pkthdr.len);
diff --git a/sys/net/if_ethersubr.c b/sys/net/if_ethersubr.c
index a2b1bd8..8a9a957 100644
--- a/sys/net/if_ethersubr.c
+++ b/sys/net/if_ethersubr.c
@@ -32,7 +32,6 @@
 
 #include "opt_inet.h"
 #include "opt_inet6.h"
-#include "opt_ipx.h"
 #include "opt_mpls.h"
 #include "opt_netgraph.h"
 #include "opt_carp.h"
@@ -86,14 +85,6 @@
 #include <netinet/ip_carp.h>
 #endif
 
-#ifdef IPX
-#include <netproto/ipx/ipx.h>
-#include <netproto/ipx/ipx_if.h>
-int (*ef_inputp)(struct ifnet*, const struct ether_header *eh, struct mbuf *m);
-int (*ef_outputp)(struct ifnet *ifp, struct mbuf **mp, struct sockaddr *dst,
-		  short *tp, int *hlen);
-#endif
-
 #ifdef MPLS
 #include <netproto/mpls/mpls.h>
 #endif
@@ -259,29 +250,6 @@ ether_output(struct ifnet *ifp, struct mbuf *m, struct sockaddr *dst,
 		eh->ether_type = htons(ETHERTYPE_IPV6);
 		break;
 #endif
-#ifdef IPX
-	case AF_IPX:
-		if (ef_outputp != NULL) {
-			/*
-			 * Hold BGL and recheck ef_outputp
-			 */
-			get_mplock();
-			if (ef_outputp != NULL) {
-				error = ef_outputp(ifp, &m, dst,
-						   &eh->ether_type, &hlen);
-				rel_mplock();
-				if (error)
-					goto bad;
-				else
-					break;
-			}
-			rel_mplock();
-		}
-		eh->ether_type = htons(ETHERTYPE_IPX);
-		bcopy(&(((struct sockaddr_ipx *)dst)->sipx_addr.x_host),
-		      edst, ETHER_ADDR_LEN);
-		break;
-#endif
 	case pseudo_AF_HDRCMPLT:
 	case AF_UNSPEC:
 		loop_copy = -1; /* if this is for us, don't do it */
@@ -666,25 +634,6 @@ do { \
 			arp_ifinit(ifp, ifa);
 			break;
 #endif
-#ifdef IPX
-		/*
-		 * XXX - This code is probably wrong
-		 */
-		case AF_IPX:
-			{
-			struct ipx_addr *ina = &IA_SIPX(ifa)->sipx_addr;
-			struct arpcom *ac = IFP2AC(ifp);
-
-			if (ipx_nullhost(*ina))
-				ina->x_host = *(union ipx_host *) ac->ac_enaddr;
-			else
-				bcopy(ina->x_host.c_host, ac->ac_enaddr,
-				      sizeof ac->ac_enaddr);
-
-			IF_INIT(ifp);	/* Set new address. */
-			break;
-			}
-#endif
 		default:
 			IF_INIT(ifp);
 			break;
@@ -1117,23 +1066,6 @@ post_stats:
 		break;
 #endif
 
-#ifdef IPX
-	case ETHERTYPE_IPX:
-		if (ef_inputp) {
-			/*
-			 * Hold BGL and recheck ef_inputp
-			 */
-			get_mplock();
-			if (ef_inputp && ef_inputp(ifp, eh, m) == 0) {
-				rel_mplock();
-				return;
-			}
-			rel_mplock();
-		}
-		isr = NETISR_IPX;
-		break;
-#endif
-
 #ifdef MPLS
 	case ETHERTYPE_MPLS:
 	case ETHERTYPE_MPLS_MCAST:
@@ -1149,19 +1081,6 @@ post_stats:
 		 * we reach here, so recharacterize packet.
 		 */
 		m->m_flags &= ~M_HASH;
-#ifdef IPX
-		if (ef_inputp) {
-			/*
-			 * Hold BGL and recheck ef_inputp
-			 */
-			get_mplock();
-			if (ef_inputp && ef_inputp(ifp, eh, m) == 0) {
-				rel_mplock();
-				return;
-			}
-			rel_mplock();
-		}
-#endif
 		if (ng_ether_input_orphan_p != NULL) {
 			/*
 			 * Put back the ethernet header so netgraph has a
@@ -1582,12 +1501,6 @@ ether_characterize(struct mbuf **m0)
 		break;
 #endif
 
-#ifdef IPX
-	case ETHERTYPE_IPX:
-		isr = NETISR_IPX;
-		break;
-#endif
-
 #ifdef MPLS
 	case ETHERTYPE_MPLS:
 	case ETHERTYPE_MPLS_MCAST:
diff --git a/sys/net/if_loop.c b/sys/net/if_loop.c
index d5e1aea..983b366 100644
--- a/sys/net/if_loop.c
+++ b/sys/net/if_loop.c
@@ -37,7 +37,6 @@
 
 #include "opt_inet.h"
 #include "opt_inet6.h"
-#include "opt_ipx.h"
 
 #include <sys/param.h>
 #include <sys/systm.h>
@@ -62,11 +61,6 @@
 #include <netinet/in_var.h>
 #endif
 
-#ifdef IPX
-#include <netproto/ipx/ipx.h>
-#include <netproto/ipx/ipx_if.h>
-#endif
-
 #ifdef INET6
 #ifndef INET
 #include <netinet/in.h>
@@ -142,7 +136,6 @@ looutput(struct ifnet *ifp, struct mbuf *m, struct sockaddr *dst,
 	switch (dst->sa_family) {
 	case AF_INET:
 	case AF_INET6:
-	case AF_IPX:
 	case AF_NS:
 		break;
 	default:
@@ -254,11 +247,6 @@ rel:
 		isr = NETISR_IPV6;
 		break;
 #endif
-#ifdef IPX
-	case AF_IPX:
-		isr = NETISR_IPX;
-		break;
-#endif
 	default:
 		kprintf("if_simloop: can't handle af=%d\n", af);
 		m_freem(m);
@@ -302,11 +290,6 @@ lo_altqstart(struct ifnet *ifp, struct ifaltq_subque *ifsq)
 			isr = NETISR_IPV6;
 			break;
 #endif
-#ifdef IPX
-		case AF_IPX:
-			isr = NETISR_IPX;
-			break;
-#endif
 #ifdef ISO
 		case AF_ISO:
 			isr = NETISR_ISO;
diff --git a/sys/net/ppp/if_ppp.c b/sys/net/ppp/if_ppp.c
index 4b4634d..c287862 100644
--- a/sys/net/ppp/if_ppp.c
+++ b/sys/net/ppp/if_ppp.c
@@ -76,7 +76,6 @@
 #include "use_ppp.h"
 
 #include "opt_inet.h"
-#include "opt_ipx.h"
 #include "opt_ppp.h"
 
 #ifdef INET
@@ -112,11 +111,6 @@
 #include <netinet/ip.h>
 #endif
 
-#ifdef IPX
-#include <netproto/ipx/ipx.h>
-#include <netproto/ipx/ipx_if.h>
-#endif
-
 #ifdef VJC
 #include <net/slcompress.h>
 #endif
@@ -609,10 +603,6 @@ pppsioctl(struct ifnet *ifp, u_long cmd, caddr_t data, struct ucred *cr)
 	case AF_INET:
 	    break;
 #endif
-#ifdef IPX
-	case AF_IPX:
-	    break;
-#endif
 	default:
 	    error = EAFNOSUPPORT;
 	    break;
@@ -625,10 +615,6 @@ pppsioctl(struct ifnet *ifp, u_long cmd, caddr_t data, struct ucred *cr)
 	case AF_INET:
 	    break;
 #endif
-#ifdef IPX
-	case AF_IPX:
-	    break;
-#endif
 	default:
 	    error = EAFNOSUPPORT;
 	    break;
@@ -756,19 +742,6 @@ pppoutput_serialized(struct ifnet *ifp, struct ifaltq_subque *ifsq,
 	    m0->m_flags |= M_HIGHPRI;
 	break;
 #endif
-#ifdef IPX
-    case AF_IPX:
-	/*
-	 * This is pretty bogus.. We dont have an ipxcp module in pppd
-	 * yet to configure the link parameters.  Sigh. I guess a
-	 * manual ifconfig would do....  -Peter
-	 */
-	address = PPP_ALLSTATIONS;
-	control = PPP_UI;
-	protocol = PPP_IPX;
-	mode = NPMODE_PASS;
-	break;
-#endif
     case AF_UNSPEC:
 	address = PPP_ADDRESS(dst->sa_data);
 	control = PPP_CONTROL(dst->sa_data);
@@ -1506,24 +1479,6 @@ ppp_inproc(struct ppp_softc *sc, struct mbuf *m)
 	isr = NETISR_IP;
 	break;
 #endif
-#ifdef IPX
-    case PPP_IPX:
-	/*
-	 * IPX packet - take off the ppp header and pass it up to IPX.
-	 */
-	if ((sc->sc_if.if_flags & IFF_UP) == 0
-	    /* XXX: || sc->sc_npmode[NP_IPX] != NPMODE_PASS*/) {
-	    /* interface is down - drop the packet. */
-	    m_freem(m);
-	    return;
-	}
-	m->m_pkthdr.len -= PPP_HDRLEN;
-	m->m_data += PPP_HDRLEN;
-	m->m_len -= PPP_HDRLEN;
-	isr = NETISR_IPX;
-	sc->sc_last_recv = time_uptime;	/* update time of last pkt rcvd */
-	break;
-#endif
 
     default:
 	/*
diff --git a/sys/net/ppp_layer/Makefile b/sys/net/ppp_layer/Makefile
index 3009b36..bf497e4 100644
--- a/sys/net/ppp_layer/Makefile
+++ b/sys/net/ppp_layer/Makefile
@@ -3,14 +3,13 @@
 .PATH:  ${.CURDIR}/../ppp ${.CURDIR}/..
 KMOD=   if_ppp
 SRCS=	if_ppp.c ppp_tty.c slcompress.c \
-	use_ppp.h opt_inet.h opt_ipx.h opt_ppp.h
+	use_ppp.h opt_inet.h opt_ppp.h
 
 NPPP?=		2
 PPP_BSDCOMP?=	1	# 0/1
 PPP_DEFLATE?=	1	# 0/1
 PPP_FILTER?=	1	# 0/1 - requires bpf to be configured in kernel
 PPP_INET?=	1	# 0/1 - requires INET to be configured in kernel
-PPP_IPX?=	0	# 0/1 - requires IPX to be configured in kernel
 
 .if ${PPP_BSDCOMP} > 0
 SRCS+=	bsd_comp.c
@@ -28,12 +27,6 @@ opt_inet.h:
 	echo "#define INET 1" > ${.TARGET}
 .endif
 
-opt_ipx.h:
-	touch opt_ipx.h
-.if ${PPP_IPX} > 0
-	echo "#define IPX ${PPP_IPX}" > ${.TARGET}
-.endif
-
 opt_ppp.h:
 	touch ${.TARGET}
 .if ${PPP_BSDCOMP} > 0
diff --git a/sys/net/sppp/Makefile b/sys/net/sppp/Makefile
index 5e1429f..59f516f 100644
--- a/sys/net/sppp/Makefile
+++ b/sys/net/sppp/Makefile
@@ -4,7 +4,7 @@
 
 KMOD=	sppp
 SRCS=	if_spppsubr.c slcompress.c
-SRCS+=	opt_inet.h opt_inet6.h opt_ipx.h
+SRCS+=	opt_inet.h opt_inet6.h
 
 EXPORT_SYMS=	sppp_attach	\
 		sppp_detach	\
@@ -21,9 +21,6 @@ opt_inet.h:
 
 opt_inet6.h:
 	echo "#define INET6 1" > ${.TARGET}
-
-opt_ipx.h:
-	echo "#define IPX 1" > ${.TARGET}
 .endif
 
 .include <bsd.kmod.mk>
diff --git a/sys/net/sppp/if_spppsubr.c b/sys/net/sppp/if_spppsubr.c
index e7c5274..4d2693a 100644
--- a/sys/net/sppp/if_spppsubr.c
+++ b/sys/net/sppp/if_spppsubr.c
@@ -25,7 +25,6 @@
 
 #include "opt_inet.h"
 #include "opt_inet6.h"
-#include "opt_ipx.h"
 
 #include <sys/systm.h>
 #include <sys/kernel.h>
@@ -59,11 +58,6 @@
 
 #include <netinet/if_ether.h>
 
-#ifdef IPX
-#include <netproto/ipx/ipx.h>
-#include <netproto/ipx/ipx_if.h>
-#endif
-
 #include "if_sppp.h"
 
 #define IOCTL_CMD_T	u_long
@@ -99,7 +93,6 @@
 #define PPP_IP		0x0021		/* Internet Protocol */
 #define PPP_ISO		0x0023		/* ISO OSI Protocol */
 #define PPP_XNS		0x0025		/* Xerox NS Protocol */
-#define PPP_IPX		0x002b		/* Novell IPX Protocol */
 #define PPP_VJ_COMP	0x002d		/* VJ compressed TCP/IP */
 #define PPP_VJ_UCOMP	0x002f		/* VJ uncompressed TCP/IP */
 #define PPP_IPV6	0x0057		/* Internet Protocol Version 6 */
@@ -606,15 +599,6 @@ drop2:
 			do_account++;
 			break;
 #endif
-#ifdef IPX
-		case PPP_IPX:
-			/* IPX IPXCP not implemented yet */
-			if (sp->pp_phase == PHASE_NETWORK) {
-				isr = NETISR_IPX;
-			}
-			do_account++;
-			break;
-#endif
 		}
 		break;
 	case CISCO_MULTICAST:
@@ -649,12 +633,6 @@ drop2:
 			do_account++;
 			break;
 #endif
-#ifdef IPX
-		case ETHERTYPE_IPX:
-			isr = NETISR_IPX;
-			do_account++;
-			break;
-#endif
 		}
 		break;
 	default:        /* Invalid PPP packet. */
@@ -881,12 +859,6 @@ sppp_output_serialized(struct ifnet *ifp, struct ifaltq_subque *ifsq,
 		}
 		break;
 #endif
-#ifdef IPX
-	case AF_IPX:     /* Novell IPX Protocol */
-		h->protocol = htons (sp->pp_mode == IFF_CISCO ?
-			ETHERTYPE_IPX : PPP_IPX);
-		break;
-#endif
 	default:
 		m_freem (m);
 		IFNET_STAT_INC(ifp, oerrors, 1);
diff --git a/sys/net/tun/Makefile b/sys/net/tun/Makefile
index a26af32..c922834 100644
--- a/sys/net/tun/Makefile
+++ b/sys/net/tun/Makefile
@@ -1,7 +1,7 @@
 # $FreeBSD: src/sys/modules/if_tun/Makefile,v 1.19.2.1 2001/07/24 09:49:42 dd Exp $
 
 KMOD=   if_tun
-SRCS=   if_tun.c opt_inet.h opt_inet6.h opt_ipx.h use_tun.h
+SRCS=   if_tun.c opt_inet.h opt_inet6.h use_tun.h
 
 NTUN?=	2
 
@@ -11,9 +11,6 @@ opt_inet.h:
 
 opt_inet6.h:
 	echo "#define INET6 1" > ${.TARGET}
-
-opt_ipx.h:
-	echo "#define IPX 1" > ${.TARGET}
 .endif
 
 use_tun.h:
diff --git a/sys/net/tun/if_tun.c b/sys/net/tun/if_tun.c
index 3cd001f..dc8e599 100644
--- a/sys/net/tun/if_tun.c
+++ b/sys/net/tun/if_tun.c
@@ -19,7 +19,6 @@
 #include "use_tun.h"
 #include "opt_inet.h"
 #include "opt_inet6.h"
-#include "opt_ipx.h"
 
 #include <sys/param.h>
 #include <sys/proc.h>
@@ -688,11 +687,6 @@ tunwrite(struct dev_write_args *ap)
 		isr = NETISR_IPV6;
 		break;
 #endif
-#ifdef IPX
-	case AF_IPX:
-		isr = NETISR_IPX;
-		break;
-#endif
 	default:
 		m_freem(m);
 		return (EAFNOSUPPORT);
diff --git a/sys/netgraph/cisco/ng_cisco.c b/sys/netgraph/cisco/ng_cisco.c
index ebb5521..34871e8 100644
--- a/sys/netgraph/cisco/ng_cisco.c
+++ b/sys/netgraph/cisco/ng_cisco.c
@@ -57,9 +57,6 @@
 #include <netinet/in.h>
 #include <netinet/if_ether.h>
 
-#include <netproto/ipx/ipx.h>
-#include <netproto/ipx/ipx_if.h>
-
 #include <netgraph/ng_message.h>
 #include <netgraph/netgraph.h>
 #include <netgraph/ng_parse.h>
diff --git a/sys/netgraph/iface/Makefile b/sys/netgraph/iface/Makefile
index 2aa93b6..e7f786a 100644
--- a/sys/netgraph/iface/Makefile
+++ b/sys/netgraph/iface/Makefile
@@ -2,7 +2,7 @@
 # $Whistle: Makefile,v 1.2 1999/01/19 19:39:21 archie Exp $
 
 KMOD=		ng_iface
-SRCS= 		ng_iface.c opt_inet.h opt_inet6.h opt_ipx.h
+SRCS= 		ng_iface.c opt_inet.h opt_inet6.h
 
 .if !defined(BUILDING_WITH_KERNEL)
 opt_inet.h:
@@ -10,9 +10,6 @@ opt_inet.h:
 
 opt_inet6.h:
 	echo "#define INET6 1" > ${.TARGET}
-
-opt_ipx.h:
-	echo "#define IPX 1" > ${.TARGET}
 .endif
 
 .include <bsd.kmod.mk>
diff --git a/sys/netgraph/iface/ng_iface.c b/sys/netgraph/iface/ng_iface.c
index 259438d..a4bcfcf 100644
--- a/sys/netgraph/iface/ng_iface.c
+++ b/sys/netgraph/iface/ng_iface.c
@@ -53,7 +53,6 @@
 
 #include "opt_inet.h"
 #include "opt_inet6.h"
-#include "opt_ipx.h"
 
 #include <sys/param.h>
 #include <sys/systm.h>
@@ -782,11 +781,6 @@ ng_iface_rcvdata(hook_p hook, struct mbuf *m, meta_p meta)
 		isr = NETISR_IPV6;
 		break;
 #endif
-#ifdef IPX
-	case AF_IPX:
-		isr = NETISR_IPX;
-		break;
-#endif
 	default:
 		m_freem(m);
 		return (EAFNOSUPPORT);
diff --git a/sys/netgraph7/cisco/ng_cisco.c b/sys/netgraph7/cisco/ng_cisco.c
index 78217d7..b973864 100644
--- a/sys/netgraph7/cisco/ng_cisco.c
+++ b/sys/netgraph7/cisco/ng_cisco.c
@@ -55,9 +55,6 @@
 #include <netinet/in.h>
 #include <netinet/if_ether.h>
 
-#include <netproto/ipx/ipx.h>
-#include <netproto/ipx/ipx_if.h>
-
 #include <netgraph7/ng_message.h>
 #include <netgraph7/netgraph.h>
 #include <netgraph7/ng_parse.h>
diff --git a/sys/netgraph7/iface/Makefile b/sys/netgraph7/iface/Makefile
index f6bc89d..00fca34 100644
--- a/sys/netgraph7/iface/Makefile
+++ b/sys/netgraph7/iface/Makefile
@@ -2,7 +2,7 @@
 # $Whistle: Makefile,v 1.2 1999/01/19 19:39:21 archie Exp $
 
 KMOD=		ng_iface
-SRCS= 		ng_iface.c opt_inet.h opt_inet6.h opt_ipx.h
+SRCS= 		ng_iface.c opt_inet.h opt_inet6.h
 KMODDEPS=	netgraph
 
 .if !defined(BUILDING_WITH_KERNEL)
@@ -11,9 +11,6 @@ opt_inet.h:
 
 opt_inet6.h:
 	echo "#define INET6 1" > ${.TARGET}
-
-opt_ipx.h:
-	echo "#define IPX 1" > ${.TARGET}
 .endif
 
 .include <bsd.kmod.mk>
diff --git a/sys/netgraph7/iface/ng_iface.c b/sys/netgraph7/iface/ng_iface.c
index a3f3204..baeb6a0 100644
--- a/sys/netgraph7/iface/ng_iface.c
+++ b/sys/netgraph7/iface/ng_iface.c
@@ -54,7 +54,6 @@
 
 #include "opt_inet.h"
 #include "opt_inet6.h"
-#include "opt_ipx.h"
 
 #include <sys/param.h>
 #include <sys/systm.h>
@@ -811,11 +810,6 @@ ng_iface_rcvdata(hook_p hook, item_p item)
 		isr = NETISR_IPV6;
 		break;
 #endif
-#ifdef IPX
-	case AF_IPX:
-		isr = NETISR_IPX;
-		break;
-#endif
 	default:
 		m_freem(m);
 		return (EAFNOSUPPORT);
diff --git a/sys/netinet/in_proto.c b/sys/netinet/in_proto.c
index 5f75680..c57cd3e 100644
--- a/sys/netinet/in_proto.c
+++ b/sys/netinet/in_proto.c
@@ -31,7 +31,6 @@
  */
 
 #include "opt_ipdivert.h"
-#include "opt_ipx.h"
 #include "opt_mrouting.h"
 #include "opt_ipsec.h"
 #include "opt_inet6.h"
@@ -85,10 +84,6 @@
 #include <netproto/ipsec/ipsec.h>
 #endif /* FAST_IPSEC */
 
-#ifdef IPXIP
-#include <netproto/ipx/ipx_ip.h>
-#endif
-
 #ifdef SCTP
 #include <netinet/in_pcb.h>
 #include <netinet/sctp_pcb.h>
@@ -436,22 +431,6 @@ struct protosw inetsw[] = {
 	.pr_usrreqs = &div_usrreqs
     },
 #endif
-#ifdef IPXIP
-    {
-	.pr_type = SOCK_RAW,
-	.pr_domain = &inetdomain,
-	.pr_protocol = IPPROTO_IDP,
-	.pr_flags = PR_ATOMIC|PR_ADDR|PR_LASTHDR,
-
-	.pr_input = ipxip_input,
-	.pr_output = NULL,
-	.pr_ctlinput = ipxip_ctlinput,
-	.pr_ctloutput = NULL,
-
-	.pr_ctlport = cpu0_ctlport,
-	.pr_usrreqs = &rip_usrreqs
-    },
-#endif
 #ifdef PIM
     {
 	.pr_type = SOCK_RAW,
diff --git a/sys/netproto/802_11/wlan/Makefile b/sys/netproto/802_11/wlan/Makefile
index e71893d..4be45e4 100644
--- a/sys/netproto/802_11/wlan/Makefile
+++ b/sys/netproto/802_11/wlan/Makefile
@@ -1,5 +1,3 @@
-# $DragonFly: src/sys/netproto/802_11/wlan/Makefile,v 1.6 2006/09/01 15:12:11 sephe Exp $
-
 KMOD	 = wlan
 SRCS	 = ieee80211.c ieee80211_action.c ieee80211_adhoc.c ieee80211_ageq.c
 #SRCS	+= ieee80211_amrr.c
@@ -13,7 +11,7 @@ SRCS	+= ieee80211_ratectl.c
 SRCS	+= ieee80211_regdomain.c ieee80211_rssadapt.c
 SRCS	+= ieee80211_scan.c ieee80211_scan_sta.c ieee80211_sta.c
 SRCS	+= ieee80211_superg.c ieee80211_tdma.c ieee80211_wds.c
-SRCS	+= bus_if.h device_if.h opt_inet.h opt_inet6.h opt_ipx.h opt_wlan.h
+SRCS	+= bus_if.h device_if.h opt_inet.h opt_inet6.h opt_wlan.h
 SRCS	+= opt_tdma.h opt_ddb.h
 
 .if !defined(BUILDING_WITH_KERNEL)
@@ -23,9 +21,6 @@ opt_inet.h:
 opt_inet6.h:
 	echo "#define INET6	1" > ${.TARGET}
 
-opt_ipx.h:
-	echo "#define IPX	1" > ${.TARGET}
-
 opt_wlan.h:
 	echo "#define IEEE80211_DEBUG		1" > ${.TARGET}
 	echo "#define IEEE80211_SUPPORT_TDMA	1" >> ${.TARGET}
diff --git a/sys/netproto/802_11/wlan/ieee80211_ioctl.c b/sys/netproto/802_11/wlan/ieee80211_ioctl.c
index 9adfaee..8a5b22d 100644
--- a/sys/netproto/802_11/wlan/ieee80211_ioctl.c
+++ b/sys/netproto/802_11/wlan/ieee80211_ioctl.c
@@ -31,7 +31,6 @@
  */
 
 #include "opt_inet.h"
-#include "opt_ipx.h"
 #include "opt_wlan.h"
 
 #include <sys/endian.h>
@@ -54,11 +53,6 @@
 #include <netinet/if_ether.h>
 #endif
 
-#ifdef IPX
-#include <netproto/ipx/ipx.h>
-#include <netproto/ipx/ipx_if.h>
-#endif
-
 #include <netproto/802_11/ieee80211_var.h>
 #include <netproto/802_11/ieee80211_ioctl.h>
 #include <netproto/802_11/ieee80211_regdomain.h>
diff --git a/sys/netproto/smb/netbios.h b/sys/netproto/smb/netbios.h
index 76de3e3..0478230 100644
--- a/sys/netproto/smb/netbios.h
+++ b/sys/netproto/smb/netbios.h
@@ -30,8 +30,8 @@
  * SUCH DAMAGE.
  *
  * $FreeBSD: src/sys/netsmb/netbios.h,v 1.1.2.2 2002/04/22 04:24:25 bp Exp $
- * $DragonFly: src/sys/netproto/smb/netbios.h,v 1.3 2003/08/07 21:54:35 dillon Exp $
  */
+
 #ifndef _NETSMB_NETBIOS_H_
 #define	_NETSMB_NETBIOS_H_
 
@@ -42,15 +42,10 @@
 #include <netinet/in.h>
 #endif
 
-#ifndef _NETIPX_IPX_H_
-#include <netproto/ipx/ipx.h>
-#endif
-
 #define AF_NETBIOS	AF_NS		/* XXX: should go to socket.h */
 #define PF_NETBIOS	AF_NETBIOS
 
 #define	NBPROTO_TCPSSN	1		/* NETBIOS session over TCP */
-#define	NBPROTO_IPXSSN	11		/* NETBIOS over IPX */
 
 #define NB_NAMELEN	16
 #define	NB_ENCNAMELEN	NB_NAMELEN * 2
@@ -122,7 +117,6 @@
  */
 union nb_tran {
 	struct sockaddr_in	x_in;
-	struct sockaddr_ipx	x_ipx;
 };
 
 struct nb_name {
diff --git a/sys/platform/pc32/i386/machdep.c b/sys/platform/pc32/i386/machdep.c
index 8ea32c2..4d7c038 100644
--- a/sys/platform/pc32/i386/machdep.c
+++ b/sys/platform/pc32/i386/machdep.c
@@ -45,7 +45,6 @@
 #include "opt_ddb.h"
 #include "opt_directio.h"
 #include "opt_inet.h"
-#include "opt_ipx.h"
 #include "opt_maxmem.h"
 #include "opt_msgbuf.h"
 #include "opt_perfmon.h"
diff --git a/sys/platform/pc64/x86_64/machdep.c b/sys/platform/pc64/x86_64/machdep.c
index b76cc56..db92ec7 100644
--- a/sys/platform/pc64/x86_64/machdep.c
+++ b/sys/platform/pc64/x86_64/machdep.c
@@ -47,7 +47,6 @@
 #include "opt_ddb.h"
 #include "opt_directio.h"
 #include "opt_inet.h"
-#include "opt_ipx.h"
 #include "opt_msgbuf.h"
 #include "opt_swap.h"
 
diff --git a/sys/platform/vkernel/i386/cpu_regs.c b/sys/platform/vkernel/i386/cpu_regs.c
index d5d52a4..3c8abaa 100644
--- a/sys/platform/vkernel/i386/cpu_regs.c
+++ b/sys/platform/vkernel/i386/cpu_regs.c
@@ -44,7 +44,6 @@
 #include "opt_ddb.h"
 #include "opt_directio.h"
 #include "opt_inet.h"
-#include "opt_ipx.h"
 #include "opt_msgbuf.h"
 #include "opt_swap.h"
 
diff --git a/sys/platform/vkernel64/x86_64/cpu_regs.c b/sys/platform/vkernel64/x86_64/cpu_regs.c
index aad8884..fd47a06 100644
--- a/sys/platform/vkernel64/x86_64/cpu_regs.c
+++ b/sys/platform/vkernel64/x86_64/cpu_regs.c
@@ -43,7 +43,6 @@
 #include "opt_ddb.h"
 #include "opt_directio.h"
 #include "opt_inet.h"
-#include "opt_ipx.h"
 #include "opt_msgbuf.h"
 #include "opt_swap.h"
 
diff --git a/sys/sys/vfscache.h b/sys/sys/vfscache.h
index 445d5cf..be325ea 100644
--- a/sys/sys/vfscache.h
+++ b/sys/sys/vfscache.h
@@ -62,8 +62,6 @@
  * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
  * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
  * SUCH DAMAGE.
- *
- * $DragonFly: src/sys/sys/vfscache.h,v 1.12 2007/11/02 19:52:24 dillon Exp $
  */
 /*
  * This module serves as a focal point for virtually all filesystem and
@@ -113,7 +111,7 @@ enum vtagtype	{
 	VT_NON, VT_UFS, VT_NFS, VT_MFS, VT_PC, VT_LFS, VT_LOFS, VT_FDESC,
 	VT_PORTAL, VT_NULL, VT_UNUSED10, VT_KERNFS, VT_PROCFS, VT_AFS,
 	VT_ISOFS, VT_UNION, VT_MSDOSFS, VT_TFS, VT_VFS, VT_CODA, VT_NTFS,
-	VT_HPFS, VT_NWFS, VT_SMBFS, VT_UDF, VT_EXT2FS, VT_SYNTH,
+	VT_HPFS, VT_SMBFS, VT_UDF, VT_EXT2FS, VT_SYNTH,
 	VT_HAMMER, VT_HAMMER2, VT_DEVFS, VT_TMPFS
 };
 
diff --git a/sys/vfs/Makefile b/sys/vfs/Makefile
index 44e5db8..8dfa359 100644
--- a/sys/vfs/Makefile
+++ b/sys/vfs/Makefile
@@ -2,7 +2,7 @@
 #
 
 SUBDIR=fifofs msdosfs portal nfs procfs puffs \
-	hpfs ntfs smbfs isofs fdesc mfs nwfs udf \
+	hpfs ntfs smbfs isofs fdesc mfs udf \
 	nullfs hammer tmpfs
 
 .include <bsd.subdir.mk>
diff --git a/sys/vfs/smbfs/Makefile b/sys/vfs/smbfs/Makefile
index c21652d..6eda61b 100644
--- a/sys/vfs/smbfs/Makefile
+++ b/sys/vfs/smbfs/Makefile
@@ -8,7 +8,7 @@
 
 KMOD=	smbfs
 
-SRCS=	opt_inet.h opt_ipx.h \
+SRCS=	opt_inet.h \
 	opt_netsmb.h \
 	iconv_converter_if.h \
 	md4c.c \
@@ -30,9 +30,6 @@ SRCS+=	des_enc.c
 .endif
 .endif
 
-# Build with IPX support (1|0)
-SMB_IPX?=	0
-
 # Build with INET support (1|0)
 SMB_INET?=	1
 
@@ -43,12 +40,6 @@ opt_inet.h:
 	echo "#define INET 1" > ${.TARGET}
 .endif
 
-opt_ipx.h:
-	touch ${.TARGET}
-.if ${SMB_IPX} > 0
-	echo "#define IPX 1" > ${.TARGET}
-.endif
-
 opt_netsmb.h:
 	echo "#define NETSMB	1"  > ${.TARGET}
 .if defined(NETSMBCRYPTO)
diff --git a/usr.bin/Makefile b/usr.bin/Makefile
index 70c75ae..a4dbb3b 100644
--- a/usr.bin/Makefile
+++ b/usr.bin/Makefile
@@ -269,8 +269,6 @@ SUBDIR+=vacation
 .if ${MACHINE_ARCH} == "i386"
 # Things that don't compile on x86_64 or are i386 specific:
 SUBDIR+=gcore \
-	ncplist \
-	ncplogin \
 	smbutil
 .endif
 
diff --git a/usr.bin/kdump/mkioctls b/usr.bin/kdump/mkioctls
index 0c27f6c..6b5fe7b 100644
--- a/usr.bin/kdump/mkioctls
+++ b/usr.bin/kdump/mkioctls
@@ -20,12 +20,12 @@ LC_ALL=C; export LC_ALL
 
 # Build a list of headers that have ioctls in them.
 # XXX should we use an ANSI cpp?
-# XXX leave out cam/, fs/, netatm/, netnatm/, netsmb/, nwfs/,
+# XXX leave out cam/, fs/, netatm/, netnatm/, netsmb/,
 #     and ufs/ because they are fake softlinks
 ioctl_includes=`
 	cd $1
 	find -s * -name '*.h' -follow |
-		egrep -v '^(cam/)|^(fs/)|^(netatm/)|^(netnatm/)|^(netsmb/)|^(nwfs/)|^(ufs/)' |
+		egrep -v '^(cam/)|^(fs/)|^(netatm/)|^(netnatm/)|^(netsmb/)|^(ufs/)' |
 		xargs egrep -l \
 '^#[ 	]*define[ 	]+[A-Za-z_][A-Za-z0-9_]*[ 	]+_IO[^a-z0-9_]' |
 		awk '{printf("#include <%s>\\\\n", $1)}'
diff --git a/usr.bin/netstat/Makefile b/usr.bin/netstat/Makefile
index 3f07735..1f4daa9 100644
--- a/usr.bin/netstat/Makefile
+++ b/usr.bin/netstat/Makefile
@@ -2,7 +2,7 @@
 #	@(#)Makefile	8.1 (Berkeley) 6/12/93
 
 PROG=	netstat
-SRCS=	if.c inet.c inet6.c main.c mbuf.c mroute.c ipx.c route.c \
+SRCS=	if.c inet.c inet6.c main.c mbuf.c mroute.c route.c \
 	unix.c netgraph.c mroute6.c ipsec.c # iso.c tp_astring.c
 CFLAGS+=-DIPSEC
 CFLAGS+=-DINET6
@@ -11,7 +11,7 @@ CFLAGS+=-DINET6
 #.PATH:	${.CURDIR}/../../sys/netiso
 BINGRP=	kmem
 BINMODE=2555
-DPADD=	${LIBKVM} ${LIBKINFO} ${LIBIPX} ${LIBNETGRAPH} ${LIBUTIL}
-LDADD=	-lkvm -lkinfo -lipx -lnetgraph -lutil
+DPADD=	${LIBKVM} ${LIBKINFO} ${LIBNETGRAPH} ${LIBUTIL}
+LDADD=	-lkvm -lkinfo -lnetgraph -lutil
 
 .include <bsd.prog.mk>
diff --git a/usr.bin/netstat/if.c b/usr.bin/netstat/if.c
index e341ca0..309121a 100644
--- a/usr.bin/netstat/if.c
+++ b/usr.bin/netstat/if.c
@@ -44,8 +44,6 @@
 #include <net/ethernet.h>
 #include <netinet/in.h>
 #include <netinet/in_var.h>
-#include <netproto/ipx/ipx.h>
-#include <netproto/ipx/ipx_if.h>
 #ifdef ISO
 #include <netiso/iso.h>
 #include <netiso/iso_var.h>
@@ -107,7 +105,6 @@ intpr(int interval1, u_long ifnetaddr, void (*pfunc)(char *), u_long ncpusaddr)
 #ifdef INET6
 		struct in6_ifaddr in6;
 #endif
-		struct ipx_ifaddr ipx;
 #ifdef ISO
 		struct iso_ifaddr iso;
 #endif
@@ -332,22 +329,6 @@ intpr(int interval1, u_long ifnetaddr, void (*pfunc)(char *), u_long ncpusaddr)
 				network_layer = 1;
 				break;
 #endif /*INET6*/
-			case AF_IPX:
-				{
-				struct sockaddr_ipx *sipx =
-					(struct sockaddr_ipx *)sa;
-				u_long net;
-				char netnum[10];
-
-				*(union ipx_net *) &net = sipx->sipx_addr.x_net;
-				sprintf(netnum, "%lx", (u_long)ntohl(net));
-				printf("ipx:%-8s  ", netnum);
-/*				printf("ipx:%-8s ", netname(net, 0L)); */
-				printf("%-15s ",
-				    ipx_phost((struct sockaddr *)sipx));
-				}
-				break;
-
 			case AF_LINK:
 				{
 				struct sockaddr_dl *sdl =
